Page MenuHomePhabricator

Cannot edit projects
Closed, ResolvedPublic

Description

See https://github.com/facebook/phabricator/issues/618


Hello,
When I try to change project properties I'm getting this error:

Unhandled Exception ("AphrontQueryParameterException")
Array for %Ls conversion is empty. Query: SELECT * FROM %s WHERE slug IN (%Ls) %Q

Event Timeline

epriestley claimed this task.
epriestley raised the priority of this task from to Normal.
epriestley updated the task description. (Show Details)
epriestley added a project: Projects.
epriestley added subscribers: epriestley, btrahan.
epriestley edited this Maniphest Task.May 26 2014, 1:36 PM
joshma added a subscriber: joshma.May 27 2014, 11:58 PM
epriestley edited this Maniphest Task.May 28 2014, 12:21 AM
epriestley closed this task as Resolved.May 28 2014, 12:21 AM

Closed by commit rP70ec8052fddc.

I get a duplicate entry error when changing case (e.g. project name -> Project Name)

#1062: Duplicate entry 'project_name' for key 'key_slug'

Probably whenever slug(new_name) == slug(old_name), perhaps an insert before delete?